# Connect Order Data

To initiate the returns process, parcelLab will need to receive all the necessary order-related information. With the order data, we can display the purchased articles for each order, so your customers can select the items they want to return.

There are two ways you can provide the order data required for the Returns Portal to work.

{% stepper %}
{% step %}

#### Using outbound order data

Using this method, we reference order data that is sent to parcelLab via a file or API connection for outbound trackings. We store the data for up to 90 days and reference this database whenever your customers use your Returns Portal.

For more information on using this method of data transmission, please refer to the following documentation pages:

* [Creating a tracking](/docs/developers/v2/data-elements/send-data.md#submit-tracking-data)
* [Data model](/docs/developers/v2/data-elements/data-model.md)
  {% endstep %}

{% step %}

#### Using real-time API connection

Using this method, we call an API endpoint the moment a customer logs into your Returns Portal. This real-time API connection ensures that the order data is up to date and stored only when necessary.

This integration enables the handling of use cases that require the returns window to be longer than 90 days.

For information on using this method of data transmission, please refer to the [order data required](#order-data-required) section on this page.
{% endstep %}
{% endstepper %}

For the Returns Portal to work, we need the order data to display each customer’s purchase when they log in to your Returns Portal.

The data should include, but is not limited to:

* Order number
* Information required for customer identification (for example: email address or zip code)
* Email address to enable communication
* Personal information that should be displayed (for example: name and delivery address)
* Product information for the order
* Information used to apply rules in the returns process (for example: product categories)

The following table lists all mandatory and optional data fields that need to be provided to parcelLab using the order data transmission methods listed in the previous section.

<table><thead><tr><th width="154.6640625">Field</th><th width="154.6796875">Example</th><th width="87.62890625">Type</th><th width="107.87109375">Necessity</th><th>Description</th></tr></thead><tbody><tr><td><strong>Order Details</strong></td><td></td><td></td><td></td><td></td></tr><tr><td>orderNumber</td><td>12345678</td><td>string</td><td>mandatory</td><td>Order number.</td></tr><tr><td>shippingDate</td><td>2024-12-03</td><td>date</td><td>optional</td><td>Date of shipment in the format YYYY-MM-DD (ISO-8601).</td></tr><tr><td>orderDate</td><td>2024-12-01</td><td>date</td><td>mandatory</td><td>Date the order was made in the format YYYY-MM-DD (ISO-8601).</td></tr><tr><td>deliveredDate</td><td>2024-12-05</td><td>date</td><td>optional</td><td>Date of delivery in the format YYYY-MM-DD (ISO-8601).</td></tr><tr><td>totalOrderAmount</td><td>132.80</td><td>numeric</td><td>optional</td><td>Total amount paid by the customer for the order.</td></tr><tr><td>parcelDimension</td><td>20-30-15</td><td>numeric</td><td>optional</td><td>Dimensions of the parcel according to Height-Width-Depth.</td></tr><tr><td>paymentMethod</td><td>generic</td><td>string</td><td>optional</td><td>Method of payment the customer used.<br><br>Accepted values: <code>paypal</code>, <code>klarna</code>, <code>mastercard</code>, <code>visa</code>, <code>generic</code>.</td></tr><tr><td><strong>Article Details</strong></td><td></td><td></td><td></td><td></td></tr><tr><td>description</td><td>Cotton Pullover</td><td>string</td><td>mandatory</td><td>Name of the item.</td></tr><tr><td>itemID</td><td>1223214343</td><td>string</td><td>mandatory</td><td>Unique item ID.</td></tr><tr><td>SKU</td><td>1312321324</td><td>string</td><td>mandatory</td><td>Unique stock keeping unit.</td></tr><tr><td>articleUrl</td><td>https://...com</td><td>string</td><td>mandatory</td><td>URL to the item (website).</td></tr><tr><td>imageUrl</td><td>https://...com</td><td>string</td><td>mandatory</td><td>URL to the image of the item.</td></tr><tr><td>quantity</td><td>2</td><td>numeric</td><td>mandatory</td><td>Quantity purchased.</td></tr><tr><td>returnableQuantity</td><td>1</td><td>numeric</td><td>optional</td><td>Quantity eligible for return.</td></tr><tr><td>productColor</td><td>Black</td><td>string</td><td>optional</td><td>Color of the item.</td></tr><tr><td>productSize</td><td>L</td><td>string</td><td>optional</td><td>Size of the item.</td></tr><tr><td>articlePrice</td><td>13.28</td><td>numeric</td><td>optional</td><td>Price of the item.</td></tr><tr><td>articleCurrrency</td><td>EUR</td><td>string</td><td>optional</td><td>Currency in which the customer paid (ISO-4217).</td></tr><tr><td>articleWeight</td><td>600</td><td>numeric</td><td>optional</td><td>Weight of the item in grams.</td></tr><tr><td>articleWidth</td><td>20</td><td>numeric</td><td>optional</td><td>Width of the item in centimeters.</td></tr><tr><td>articleLength</td><td>15</td><td>numeric</td><td>optional</td><td>Length or height of the item in centimeters.</td></tr><tr><td>articleDepth</td><td>3</td><td>numeric</td><td>optional</td><td>Depth of the item in centimeters.</td></tr><tr><td>productCategory</td><td>Underwear</td><td>string</td><td>optional</td><td>Product categories used for rule building and warehouse logistics.</td></tr><tr><td>transportType</td><td>bulkyGood</td><td>string</td><td>optional</td><td>Used for exceptions such as dangerous or bulky goods.</td></tr><tr><td><strong>Customer Details</strong></td><td></td><td></td><td></td><td></td></tr><tr><td>salutation</td><td>Mr.</td><td>string</td><td>optional</td><td></td></tr><tr><td>name</td><td>Bruce Wayne</td><td>string</td><td>mandatory</td><td></td></tr><tr><td>street</td><td>Rue du Chardonay</td><td>string</td><td>mandatory</td><td></td></tr><tr><td>zip</td><td>80039</td><td>string</td><td>mandatory</td><td></td></tr><tr><td>state</td><td>Île-de-France</td><td>string</td><td>optional</td><td></td></tr><tr><td>city</td><td>Paris</td><td>string</td><td>mandatory</td><td></td></tr><tr><td>country</td><td>FR</td><td>string</td><td>mandatory</td><td></td></tr><tr><td>phone</td><td>01569283</td><td>string</td><td>optional</td><td></td></tr><tr><td>email</td><td>bruce.wayne@parcellab.com</td><td>string</td><td>mandatory</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/returns/connect-order-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
